@charset "UTF-8";

html {
  font-size: 100%;
}
body {
  color: #000000;
  font-size: 1.2rem;
  background-image:url("haikei.jpg");
  animation: bgiLoop 5s linear infinite;

  background-repeat: repeat-y;
}
@keyframes bgiLoop {

  0% { background-position: 0 0;}

100% { background-position: -100px 200px;}

}
img {
    max-width: 100%;
  }
  li {
    list-style: none;
    font-size: 1.5rem;
    text-align: left;
  }
  .wrapper {
    max-width: 1080px;
    margin: 0 auto;
    padding: 0 4%;
    text-align: center;
  }
  a {
    text-decoration: none;
    font-weight: bold;
    position: relative;
    color: #000000;
  }
  a::after {
    position: absolute;
    bottom: -4px;
    left: 0;
    content: '';
    width: 100%;
    height: 3px;
    background: rgb(221, 28, 28);
    transform: scale(0, 1);
    transform-origin: left top;
    transition: transform .3s;
  }
  a:hover::after {
    transform: scale(1, 1);
  }
  h2{
    font-size: 1.2em;
    margin-bottom:10px;
  }

  /* ヘッダー */
#header{
    padding-bottom:30px;
    display: flex;
    justify-content: space-between;
    background-color: #ffffff;
  }
  .site-title{
    width: 30%;
  }
    /* 記事 */
article {
    display:flex;
    background-color: #fff;
}/*サイドバーとメインコンテンツを横並びにする                
    justify-content:space-around;
  /*サイドバー */
.side {
  background-color:#ffffff;
  padding:20px;
} 
.side li{
  margin-bottom: 15px;
}
#text{
  text-align: left;
  width: 400px;
}
.giorno{
  position:relative;
}
/* #pict{
  text-align: right;
  margin-bottom:30px;
} */
#charactor{
  display: flex;
  justify-content: space-between;
}
#charactor img{
  border: solid 2px #000000;
}
/* マウスオーバー */
ul #charactor{
  list-style: none;   
  margin: 0;
  padding: 0;
}
#charactor li{
  position: relative;
  font-weight: bold;
}
#charactor img{
  height: auto;
  width: 100%;
  display: block;
}
#charactor div{
  position:absolute;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0);
  opacity: 0;
  left: 0;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  color: rgb(255, 255, 255);
  transition: .3s;
  padding:200px 0 20px 20px;
}
#charactor li:hover div{
  background: rgba(9, 9, 9, 0.5);
  opacity: 4;
}
.mobile{
  display: none;
}

#kame{
  align-items: center;
  font-size: 1.5em;
  font-weight: bold;
}

.kame{
  text-align: right;
  margin-top:10px;
}
  .humberger-menu{
    display: none;
  }
  /* フッター */
#footer{
  background-color: rgb(43, 47, 161);
  height: 50px;
}
#footer p{
  padding-top:20px;
  text-align: center;
  font-size:small;
  color: #e0edff;
}

.balloon3{
  display: inline-block;
  position: relative;
  margin: 20px;
  padding: 20px;
  background: #fff;
  border: 1px solid #666;
  border-radius: 20px;
}
.balloon3::before{
  content: "";
  position: absolute;
  bottom: -30px;
  right: 40px;
  width: 0;
  height: 0;
  border-top: 30px solid #666;
  border-left: 12px solid transparent;
  border-right: 12px solid transparent;
  transform-origin: left top;
  transform: skewX(40deg);
}
.balloon3::after{
  content: "";
  position: absolute;
  bottom: -26px;
  right: 43px;
  width: 0;
  height: 0;
  border-top: 30px solid #fff;
  border-left: 12px solid transparent;
  border-right: 12px solid transparent;
  transform-origin: left top;
  transform: skewX(40deg);
}

@media screen and (max-width: 420px){
  body{
  margin: 0 auto;
  background-image: none;
  }
  #header{
    margin-top:20px;
    }
  .wrapper{
    max-width: 380px;
  }
  .page-title{
    line-height: 30px;
    background-image:none;
}
h1{
  font-size:1em;
}
  img {
    max-width: 100%;
  }
  .side{
    display: none;
  }
  #pict{
    text-align: center;
  }
  #footer{
    height: 50px;
  }
  #footer p{
    font-size: small;
  }
  .humberger-menu{
    display: block;
  }
  article{
    flex-direction: column;
  }
  .text{
    position: absolute;
    top:300px;
    left:0;
    padding-left:20px;
    background-color: rgba(255,105,212,0.3);
    padding:20px;
  }
  .text h2{
    font-size: 1.3em;
  }
  .text p{
    font-size:0.8em;
  }
  #charactor{
    flex-direction: column;
  }
.mobile{
  display: block;
  text-align: center;
  margin-bottom:20px;
}

/* 吹き出し */
.balloon3 {
  position: relative;
  display: inline-block;
  margin: 1.5em 0;
  padding: 7px 10px;
  min-width: 120px;
  max-width: 100%;
  color: #555;
  font-size: 16px;
  background: #e0edff;
  border-radius: 15px;
  border:none;
  padding:20px;
}

.balloon3:before {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -15px;
  border: 15px solid transparent;
  border-top: 15px solid #e0edff;
}

.balloon3 p {
  margin: 0;
  padding: 0;
}

.balloon3::after {
  display: none;
}

  
    /* js */
  
   /*----------------------------
  * アニメーション部分
  *----------------------------*/
  /* アニメーション前のメニューの状態 */
  /*----------------------------
  * メニュー開閉ボタン
  *----------------------------*/
  .menu-btn{
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 2;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgb(190, 3, 3);
    color: #fff;
  }
  
  /*----------------------------
  * メニュー本体
  *----------------------------*/
  .menu{
    position: fixed;
    top: 0;
    right: 0;
    z-index: 1;
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: rgb(50, 58, 202);
  }
  .menu__item{
    width: 100%;
    height: auto;
    padding: .5em 1em;
    text-align: center;
    color: #fff;
    box-sizing: border-box;
  }

  /*----------------------------
  * ほばーなし
  *----------------------------*/
  .over[disabled]{
    pointer-events: none;
  }
  #contents li{
    font-size: 0.5em;
  }
  .over div{
    padding:80px 0 10px 10px;
  }
  /*----------------------------
  * アニメーション部分
  *----------------------------*/
  
  /* アニメーション前のメニューの状態 */
  .menu{
    transform-origin: top left;
    transform: rotateZ(-90deg);
    transition: all .3s ease;
  }
  /* アニメーション後のメニューの状態 */
  .menu.is-active{
    transform: rotateZ(0deg);
  }
}
